Subject: bug#58857: 28.2; Emacs on macOS seg faults when deleting fullscreen frame

From: Po Lu <[email-masked]>
Date: Sat, 29 Oct 2022 20:29:10 +0800

Gerd Möllmann <[email-masked]> writes:

> Don't know if this is important, but I see, on master, this printed to
> the terminal, which is new AFAICt
>
> 2022-10-29 14:14:51.438 emacs[66923:1591049] +[CATransaction
> synchronize] called within transaction
>
> Alas, I don't know how to trigger this reproducibly.

Unfortunately, I can't make sense of that Apple mumbo jumbo, sorry.
According to a web search, it occurs on iOS when two animations are run
by the toolkit at the same time (which is probably the same on Mac OS.)
I guess it's fine if it doesn't lead to crashes.